View all methods
queries.datafeed
Get a datafeed for a saved query. Data returned from the queries.datafeed endpoint is limited to 1000 rows.
Facts
| Method | GET https://api.getdx.com/queries.datafeed |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
feed_token |
String |
The datafeed token of the saved query. |
Optional arguments
| Name | Type | Description |
|---|---|---|
var-* |
String |
Any template query variable you need for your query. i.e. ?var-repo_name=branch |
columns |
String |
Comma separated list of columns to include in your request. Can help with performance. |
Example request
This is a typical request:
curl -X GET https://api.getdx.com/queries.datafeed?feed_token=abc123xxx \
-H 'Accept: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"data": {
"rows": [
["Created README.md", "7600"],
["Updated package deps", "7492"],
["Removed old user", "9421"]
],
"columns": ["title", "open_to_deploy"]
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |